Loading...
Searching...
No Matches
bts_features.h File Reference
`#include <osmocom/core/utils.h>`
`#include <osmocom/core/bitvec.h>`

Go to the source code of this file.

## Macros

#define | MAX_BTS_FEATURES 128

## Enumerations

enum

osmo_bts_features {
BTS_FEAT_HSCSD ,
BTS_FEAT_GPRS ,
BTS_FEAT_EGPRS ,
BTS_FEAT_ECSD ,
BTS_FEAT_HOPPING ,
BTS_FEAT_MULTI_TSC ,
BTS_FEAT_OML_ALERTS ,
BTS_FEAT_AGCH_PCH_PROP ,
BTS_FEAT_CBCH ,
BTS_FEAT_SPEECH_F_V1 ,
BTS_FEAT_SPEECH_H_V1 ,
BTS_FEAT_SPEECH_F_EFR ,
BTS_FEAT_SPEECH_F_AMR ,
BTS_FEAT_SPEECH_H_AMR ,
BTS_FEAT_ETWS_PN ,
BTS_FEAT_PAGING_COORDINATION ,
BTS_FEAT_IPV6_NSVC ,
BTS_FEAT_ACCH_REP ,
BTS_FEAT_CCN ,
BTS_FEAT_VAMOS ,
BTS_FEAT_ABIS_OSMO_PCU ,
BTS_FEAT_BCCH_POWER_RED ,
BTS_FEAT_DYN_TS_SDCCH8 ,
BTS_FEAT_ACCH_TEMP_OVP ,
BTS_FEAT_OSMUX ,
BTS_FEAT_VBS ,
BTS_FEAT_VGCS ,
BTS_FEAT_TWTS001 ,
BTS_FEAT_TWTS002 ,
_NUM_BTS_FEAT
}

## Functions

static const char * | osmo_bts_features_desc (enum osmo_bts_features val)
const char * | osmo_bts_feature_name (enum osmo_bts_features feature) OSMO_DEPRECATED("Use osmo_bts_features_desc() instead")
| return description string of a BTS feature (osmo_bts_features_descs).
static const char * | osmo_bts_features_name (enum osmo_bts_features val)
static int | osmo_bts_set_feature (struct bitvec *features, enum osmo_bts_features feature)
static int | osmo_bts_unset_feature (struct bitvec *features, enum osmo_bts_features feature)
static bool | osmo_bts_has_feature (const struct bitvec *features, enum osmo_bts_features feature)

## Variables

const struct value_string | osmo_bts_features_descs []
const struct value_string | osmo_bts_features_names []

## Macro Definition Documentation

## MAX_BTS_FEATURES

#define MAX_BTS_FEATURES 128

## Enumeration Type Documentation

## osmo_bts_features

enum osmo_bts_features

Enumerator
BTS_FEAT_HSCSD |
BTS_FEAT_GPRS |
BTS_FEAT_EGPRS |
BTS_FEAT_ECSD |
BTS_FEAT_HOPPING |
BTS_FEAT_MULTI_TSC |
BTS_FEAT_OML_ALERTS |
BTS_FEAT_AGCH_PCH_PROP |
BTS_FEAT_CBCH |
BTS_FEAT_SPEECH_F_V1 |
BTS_FEAT_SPEECH_H_V1 |
BTS_FEAT_SPEECH_F_EFR |
BTS_FEAT_SPEECH_F_AMR |
BTS_FEAT_SPEECH_H_AMR |
BTS_FEAT_ETWS_PN |
BTS_FEAT_PAGING_COORDINATION |
BTS_FEAT_IPV6_NSVC |
BTS_FEAT_ACCH_REP |
BTS_FEAT_CCN |
BTS_FEAT_VAMOS |
BTS_FEAT_ABIS_OSMO_PCU |
BTS_FEAT_BCCH_POWER_RED |
BTS_FEAT_DYN_TS_SDCCH8 |
BTS_FEAT_ACCH_TEMP_OVP |
BTS_FEAT_OSMUX |
BTS_FEAT_VBS |
BTS_FEAT_VGCS |
BTS_FEAT_TWTS001 |
BTS_FEAT_TWTS002 |
_NUM_BTS_FEAT |

## Function Documentation

## osmo_bts_feature_name()

const char * osmo_bts_feature_name | ( | enum osmo_bts_features | feature | ) |

return description string of a BTS feature (osmo_bts_features_descs).

To get the plain feature name, use osmo_bts_features_name() instead.

References get_value_string(), and osmo_bts_features_descs.

## osmo_bts_features_desc()

static const char * osmo_bts_features_desc | ( | enum osmo_bts_features | val | ) |

inline static

References get_value_string(), and osmo_bts_features_descs.

## osmo_bts_features_name()

static const char * osmo_bts_features_name | ( | enum osmo_bts_features | val | ) |

inline static

References get_value_string(), and osmo_bts_features_names.

## osmo_bts_has_feature()

static bool osmo_bts_has_feature | ( | const struct bitvec * | features,
|  | enum osmo_bts_features | feature
| ) |  |

inline static

References _NUM_BTS_FEAT, bitvec_get_bit_pos(), MAX_BTS_FEATURES, ONE, and OSMO_ASSERT.

## osmo_bts_set_feature()

static int osmo_bts_set_feature | ( | struct bitvec * | features,
|  | enum osmo_bts_features | feature
| ) |  |

inline static

References _NUM_BTS_FEAT, bitvec_set_bit_pos(), MAX_BTS_FEATURES, and OSMO_ASSERT.

## osmo_bts_unset_feature()

static int osmo_bts_unset_feature | ( | struct bitvec * | features,
|  | enum osmo_bts_features | feature
| ) |  |

inline static

References _NUM_BTS_FEAT, bitvec_set_bit_pos(), MAX_BTS_FEATURES, and OSMO_ASSERT.

## Variable Documentation

## osmo_bts_features_descs

const struct value_string osmo_bts_features_descs[]

extern

Referenced by osmo_bts_feature_name(), and osmo_bts_features_desc().

## osmo_bts_features_names

const struct value_string osmo_bts_features_names[]

extern

Referenced by osmo_bts_features_name().